Bug 104769 - custom kernel with stock configs produces no pcmcia init
custom kernel with stock configs produces no pcmcia init
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.8
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-20 19:14 EDT by Roy W. Reter
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-14 15:30:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy W. Reter 2003-09-20 19:14:35 EDT
Description of problem: In RH 9 latest kernel source (2.4.20-20.9), orinoco
pcmcia drivers don't init on compiling a custom kernel and reboot with the kernel.


Version-Release number of selected component (if applicable):


How reproducible:
Get the kernel-source-2.4.20-20.9.i386.rpm and install.
cd /usr/src/linux-2.4
make mrproper
cp configs/kernel-2.4.20-i686.config .config
make menuconfig and exit
make dep
make clean
make bzImage
make modules
make modules_install
cp System.map /boot/System.map-2.4.20-20.9custom
cp arch/i386/boot/bzImage /boot/vmlinuz-2.4.20-20.9custom
cd /boot
mkinitrd -v initrd-2.4.20-20.9custom.img 2.4.20-20.9custom
edit /etc/grub.conf to reflect new custom kernel and initrd
reboot and the when pcmcia starts up, it never inits the card


Steps to Reproduce:
1. see above
2.
3.
    
Actual results:
computer boots but no pcmcia

Expected results:
pcmcia card to init, this is supposedly now the same kernel binary that came out
in updates, yet the pcmcia doesn't init.  All works fine with the kernel rpm
that comes from RH.  What gives??

Additional info:

Note You need to log in before you can comment on or make changes to this bug.